[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Unable to link lib_swig_python

From: Sigfred Håversen <bsdlist_at_mumak.com>
Date: 2006-03-21 08:06:50 CET

Daniel Rall wrote:
> Hi Sigfred. r18156 (r17910 on trunk) is absolutely necessary for
> linking libsvn_swig_py on Solaris 10 with Python 2.2.3 (and GCC), and
> did not cause problems on any other platforms it was tested on. Can
> you give the following patch a try on OpenBSD?

This works. I patched the build/get-py-info.py bundled with the 1.3.1
tarball. The reason for patching the 1.3.1 tarball is to build and
test Subversion from within the ports system.

> Also, if there's any way you'd be able to test this patch on OpenBSD
> with an older version of Python (e.g. one which doesn't actually have
> a libpython2.X.so, only libpython2.2.a like the Solaris 10 environment
> which necessitated r18156), that would be fantastic.
>
> Thanks, Dan

OpenBSD removed Python 2.2 from the ports tree last spring, so I can't
test this. Sorry.

/Sigfred

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Tue Mar 21 08:07:19 2006

This is an archived mail posted to the Subversion Dev mailing list.